Subject: Re: [2/9] powerpc/hv24x7: Remove unnecessary parameter

From: Michael Ellerman <[email-masked]>
Date: Tue, 17 Mar 2015 11:13:52 +1100 (AEDT)

On Tue, 2015-17-02 at 22:00:27 UTC, Sukadev Bhattiprolu wrote:
> Use pr_notice_ratelimited() to log error messages and remove
> the 'success_expected' parameter.

I don't understand how this is equivalent?

The current code uses success_expected to indicate that once it's done the
request once and found that it works, it then expects the request to continue
working, and if it doesn't then that is an error.

Using pr_ratelimited() will do the opposite, ie. the first failure will print a
message, but that may not really indicate an error, it may just be a badly
configured request.

Or at least that's how I understand it, please convince me I'm wrong :)

cheers